Name:           python-keyczar
Version:        0.71c
Release:        7%{?dist}
Summary:        Toolkit for safe and simple cryptography

Group:          Development/Languages
License:        ASL 2.0
URL:            http://www.keyczar.org/
Source0:        http://keyczar.googlecode.com/files/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-crypto
BuildRequires:  python-pyasn1

Requires:       python-crypto
Requires:       python-pyasn1

%description
Keyczar is an open source cryptographic toolkit designed to make it easier and
safer for developers to use cryptography in their applications. Keyczar
supports authentication and encryption with both symmetric and asymmetric keys.


%prep
%setup -q
rm -rf python_keyczar.egg-info

%build
%{__python} setup.py build

%check
cd tests/keyczar_tests
PYTHONPATH=$PYTHONPATH:../../src/ ./alltests.py

%install
%{__python} setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}

%files
%doc README LICENSE doc/pycrypt.pdf
%{python_sitelib}/keyczar/
%{python_sitelib}/python_keyczar-*.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71c-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.71c-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71c-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71c-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71c-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.71c-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 21 2012 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 0.71c-1
- Build with new upstream tarball containing fixes for hashbangs, exec bits,
  a LICENSE file and more.

* Mon Dec 10 2012 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 0.71b-2
- Enable tests to be run during build
- Remove EL5 code from specfile in order to 
- Fix %%files section to include the proper files

* Sun Dec 9 2012 - Maxim Burgerhout <wzzrd@fedoraproject.org> - 0.71b-1
- Initial build of 0.71b for Fedora
